Subject: bug#44409: closed (Re: bug#44409: Example in manual no longer works)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Nov 2020 03:25:02 +0000

Your bug report

#44409: Example in manual no longer works

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44409: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44409
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44409: Example in manual no longer works
From: Eli Zaretskii <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Nov 2020 05:24:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 04 Nov 2020 07:32:42 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
> EZ> The example in the manual doesn't mention /etc/motd of any other binary file.  It uses text files, where this issue doesn't exist.
> 
> Since when is /etc/motd a binary file?

I didn't say it was.

> >> $ grep --color -nH --null -e a /etc/motd | grep x
> >> Binary file (standard input) matches
> 
> So we see the issue indeed exists with text files!!

No, it exists if you use Grep incorrectly.

> EZ> Yes, but you need to edit that prompt anyway in order to type the
> EZ> command with a pipe, so the original prompt doesn't matter much.
> 
> No!
> 
> In the past one could simply slap the pipe(s) on to the back.
> 
> Now that no longer works.
> 
> Therefore the example needs to be rewritten to make it work again.

The example already works without any changes, so it doesn't need to
be rewritten.

> (Or specific instructions need to be given: "Be sure to remove any
> '--null' that emacs has stuck in, for this example to work.")

That's the stuff for Grep manual, not for Emacs.

So I don't see any problem here to fix, and I'm closing this bug
report.

Subject: Example in manual no longer works
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Tue, 03 Nov 2020 13:28:41 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

(info "(emacs) Grep Searching") Says

   For instance, you can chain ‘grep’ commands, like this: ...

But the example it then gives is for older emacs versions.

Newer emacs versions' grep string contains "--null" (proof: try
$ emacs -f grep
) which will cause the example to fail.

How can one rewrite the example to work with newer emacs versions?